3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { echo zend_thread_id(); throw new Exception('Coucou'); } catch (Exception $e) { echo zend_thread_id(); var_dump($e->getMessage()); return 'test'; } finally { echo zend_thread_id(); echo "I'm going there"; }
based on 9tXmr
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Error: Call to undefined function zend_thread_id() in /in/6oh1j:4 Stack trace: #0 {main} Next Error: Call to undefined function zend_thread_id() in /in/6oh1j:11 Stack trace: #0 {main} thrown in /in/6oh1j on line 11
Process exited with code 255.
Output for 5.5.24 - 5.6.28
Fatal error: Call to undefined function zend_thread_id() in /in/6oh1j on line 4
Process exited with code 255.
Output for 5.3.18 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/6oh1j on line 10
Process exited with code 255.